<?xml version="1.0" encoding="UTF-8"?>
<configuration scan="true" scanPeriod="3 seconds">
    <contextName>central</contextName>
    <!-- TRACE > DEBUG > INFO > WARN > ERROR -->
    <appender name="TIME_BASED_FILE" class="ch.qos.logback.core.rolling.RollingFileAppender">
        <file>/project/go/src/git.loafle.net/overflow/probe/_build/logs/container_general.log</file>
        <rollingPolicy class="ch.qos.logback.core.rolling.TimeBasedRollingPolicy">        
            <!-- daily rollover -->
            <fileNamePattern>/project/go/src/git.loafle.net/overflow/probe/_build/logs/container_general.%d{yyyy-MM-dd-HH-mm}.log</fileNamePattern>
            <maxHistory>30</maxHistory>
        </rollingPolicy>
        <encoder>
            <pattern>%d{yyyy-MM-dd HH:mm:ss.SSS} [%thread] %-5level %logger{32} - %msg%n</pattern>
        </encoder>
    </appender>

    <root level="DEBUG">
        <appender-ref ref="TIME_BASED_FILE" />
    </root>
    <logger name="com.loafle.overflow" level="ALL" />
</configuration>